var exec = require('child_process').exec;
var os = require('os').platform();
var events = require('events');
var platform = {
  'darwin' : 'mac',
  'win32' : 'win',
  'linux' : 'linux',
  'sunos' : 'linux',
  'freebsd' : 'linux'
};

var comp = {
  mac : '/comp/mac/spcomp',
  win : '/comp/win/spcomp.exe',
  linux : '/comp/linux/spcomp.sh'
};

var eventEmitter = new events.EventEmitter();

exports.compile = function (sourceFile, compiledFile,cb){

  var command = __dirname + comp[platform[os]] + ' '
    + sourceFile + ' -i' + __dirname + '/comp/include'
    + ' -o' + compiledFile
    + ' -v2';
  console.log(command);
  exec(command, function (err, stdout, stderr) {
    if(err)
    {
      cb(true, stdout);
    }
    else
    {
        cb(null, stdout);
    }
  });
};
